using Edu.Common.Plugin;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 审核人类型
    /// </summary>
    public enum WFTAuditTypeEnum
    {
        /// <summary>
        /// 主管
        /// </summary>
        [EnumField("主管")]
        Director = 1,
        /// <summary>
        /// 指定成员
        /// </summary>
        [EnumField("指定成员")]
        SpecifiedMember = 2,
        /// <summary>
        /// 指定角色
        /// </summary>
        [EnumField("指定角色")]
        Role = 3,

        /// <summary>
        /// 系统角色
        /// </summary>
        [EnumField("系统角色")]
        Post =4,
    }

    /// <summary>
    /// 审核方式
    /// </summary>
    public enum WFTAuditWayEnum
    {
        /// <summary>
        /// 标准
        /// </summary>
        [EnumField("标准")]
        Successively = 1,
        /// <summary>
        /// 会签
        /// </summary>
        [EnumField("会签")]
        Countersign = 2,
        /// <summary>
        /// 或签
        /// </summary>
        [EnumField("或签")]
        OrSign = 3
    }
    /// <summary>
    /// 财务节点
    /// </summary>
    public enum FinanceAuditTypeEnum
    {
        /// <summary>
        /// 主管
        /// </summary>
        [EnumField("主管")]
        Director = 1,
        /// <summary>
        /// 指定成员
        /// </summary>
        [EnumField("指定成员")]
        SpecifiedMember = 2,
        /// <summary>
        /// 角色
        /// </summary>
        [EnumField("角色")]
        Role = 3,
        /// <summary>
        /// 空节点
        /// </summary>
        [EnumField("空节点")]
        Empty = 4,
        /// <summary>
        /// 出纳窗口
        /// </summary>
        [EnumField("出纳窗口")]
        Cashier = 5,
        /// <summary>
        /// 会计窗口
        /// </summary>
        [EnumField("会计窗口")]
        Account = 6,
        /// <summary>
        /// 线控
        /// </summary>
        [EnumField("线控")]
        OP = 7,
        /// <summary>
        /// 记账出纳
        /// </summary>
        [EnumField("记账出纳")]
        Incharge = 8,
        /// <summary>
        /// 收款出纳
        /// </summary>
        [EnumField("收款出纳")]
        BackCashier = 9,
        /// <summary>
        /// 分公司OP
        /// </summary>
        [EnumField("分公司OP")]
        BranchOP = 10,
        /// <summary>
        /// 总部OP
        /// </summary>
        [EnumField("总部OP")]
        HQOP = 11,
    }
}
